<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimTrackerHitCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html">SimTrackerHitCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_sim_tracker_hit_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimTrackerHitCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::SimTrackerHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_tracker_hit_collection__inherit__graph.png" border="0" usemap="#eic_1_1_sim_tracker_hit_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_sim_tracker_hit_collection_inherit__map" id="eic_1_1_sim_tracker_hit_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::SimTrackerHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_tracker_hit_collection__coll__graph.png" border="0" usemap="#eic_1_1_sim_tracker_hit_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_sim_tracker_hit_collection_coll__map" id="eic_1_1_sim_tracker_hit_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab796983c6a244ad89062fea95200f77a"><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="classeic_1_1_sim_tracker_hit_collection_iterator.html">SimTrackerHitCollectionIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">const_iterator</a></td></tr>
<tr class="separator:ab796983c6a244ad89062fea95200f77a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a633aa458840af6e87230c57a1c63a378"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a633aa458840af6e87230c57a1c63a378">SimTrackerHitCollection</a> ()</td></tr>
<tr class="separator:a633aa458840af6e87230c57a1c63a378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4def301a1041af14c548ba3a134acce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ae4def301a1041af14c548ba3a134acce">~SimTrackerHitCollection</a> ()</td></tr>
<tr class="separator:ae4def301a1041af14c548ba3a134acce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1168d908bf141ae6e2d62520a7e713df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a1168d908bf141ae6e2d62520a7e713df">clear</a> () override final</td></tr>
<tr class="separator:a1168d908bf141ae6e2d62520a7e713df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16d8c26d25b38ccc29b9b1a019168c70"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html">SimTrackerHitCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a16d8c26d25b38ccc29b9b1a019168c70">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a16d8c26d25b38ccc29b9b1a019168c70"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a16d8c26d25b38ccc29b9b1a019168c70">More...</a><br /></td></tr>
<tr class="separator:a16d8c26d25b38ccc29b9b1a019168c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a356612a80f412a73cbe715e3df269869"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a356612a80f412a73cbe715e3df269869">create</a> ()</td></tr>
<tr class="memdesc:a356612a80f412a73cbe715e3df269869"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a356612a80f412a73cbe715e3df269869">More...</a><br /></td></tr>
<tr class="separator:a356612a80f412a73cbe715e3df269869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b7d2c6200d38521e827dc8d7214e182"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a8b7d2c6200d38521e827dc8d7214e182"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a8b7d2c6200d38521e827dc8d7214e182">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a8b7d2c6200d38521e827dc8d7214e182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708cffdc670a2a17ad037d56a1d06e78"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a708cffdc670a2a17ad037d56a1d06e78">size</a> () const override final</td></tr>
<tr class="memdesc:a708cffdc670a2a17ad037d56a1d06e78"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a708cffdc670a2a17ad037d56a1d06e78">More...</a><br /></td></tr>
<tr class="separator:a708cffdc670a2a17ad037d56a1d06e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61f72d6c477b0a4cab24c2b887da6090"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a61f72d6c477b0a4cab24c2b887da6090">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:a61f72d6c477b0a4cab24c2b887da6090"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#a61f72d6c477b0a4cab24c2b887da6090">More...</a><br /></td></tr>
<tr class="separator:a61f72d6c477b0a4cab24c2b887da6090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab791c42c983d7cd42eb8f5c9d0d2205"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#aab791c42c983d7cd42eb8f5c9d0d2205">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:aab791c42c983d7cd42eb8f5c9d0d2205"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#aab791c42c983d7cd42eb8f5c9d0d2205">More...</a><br /></td></tr>
<tr class="separator:aab791c42c983d7cd42eb8f5c9d0d2205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b081732e1c2992519aa3fab07fa99db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a7b081732e1c2992519aa3fab07fa99db">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a7b081732e1c2992519aa3fab07fa99db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a7b081732e1c2992519aa3fab07fa99db">More...</a><br /></td></tr>
<tr class="separator:a7b081732e1c2992519aa3fab07fa99db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5ca2c1759890a6cb149b7245feced4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a4a5ca2c1759890a6cb149b7245feced4">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a4a5ca2c1759890a6cb149b7245feced4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a4a5ca2c1759890a6cb149b7245feced4">More...</a><br /></td></tr>
<tr class="separator:a4a5ca2c1759890a6cb149b7245feced4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6db07cc302097071817a62df6a00a0c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a6db07cc302097071817a62df6a00a0c4">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a6db07cc302097071817a62df6a00a0c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a6db07cc302097071817a62df6a00a0c4">More...</a><br /></td></tr>
<tr class="separator:a6db07cc302097071817a62df6a00a0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3b607845941c6b704a94cfbf1b6be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a0b3b607845941c6b704a94cfbf1b6be4">push_back</a> (<a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a> object)</td></tr>
<tr class="memdesc:a0b3b607845941c6b704a94cfbf1b6be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a0b3b607845941c6b704a94cfbf1b6be4">More...</a><br /></td></tr>
<tr class="separator:a0b3b607845941c6b704a94cfbf1b6be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a5c18696326224004a3ee802f0b7df4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a3a5c18696326224004a3ee802f0b7df4">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a3a5c18696326224004a3ee802f0b7df4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e190cf7158a8b518924e83b1f4a7bca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a3e190cf7158a8b518924e83b1f4a7bca">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a3e190cf7158a8b518924e83b1f4a7bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a910c59979e57c1069a70f063df6cbac7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a910c59979e57c1069a70f063df6cbac7">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:a910c59979e57c1069a70f063df6cbac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064d1e9ffba1b9b7f1e5d6954d668f05"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a064d1e9ffba1b9b7f1e5d6954d668f05">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:a064d1e9ffba1b9b7f1e5d6954d668f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8d916a23296ade75f996c54356c7403"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ae8d916a23296ade75f996c54356c7403">referenceCollections</a> () override final</td></tr>
<tr class="separator:ae8d916a23296ade75f996c54356c7403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717f504fb03696380ceea73a54ecfc64"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a717f504fb03696380ceea73a54ecfc64">vectorMembers</a> () override</td></tr>
<tr class="separator:a717f504fb03696380ceea73a54ecfc64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac1cd9a1b38c081466acef16ba1abf2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a8ac1cd9a1b38c081466acef16ba1abf2">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:a8ac1cd9a1b38c081466acef16ba1abf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc43b1df06f615cdefeb9c6cb9583b3"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#acbc43b1df06f615cdefeb9c6cb9583b3">getID</a> () const override final</td></tr>
<tr class="separator:acbc43b1df06f615cdefeb9c6cb9583b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ef1b588a446dff471da0e68d7c12d78"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a9ef1b588a446dff471da0e68d7c12d78">isValid</a> () const override final</td></tr>
<tr class="separator:a9ef1b588a446dff471da0e68d7c12d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ddda39d4bdcf10295b440ecb02f278a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a7ddda39d4bdcf10295b440ecb02f278a">begin</a> () const</td></tr>
<tr class="separator:a7ddda39d4bdcf10295b440ecb02f278a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19c004c6bc73b32463d965adb9d854d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ae19c004c6bc73b32463d965adb9d854d">end</a> () const</td></tr>
<tr class="separator:ae19c004c6bc73b32463d965adb9d854d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb7d01dd15d89e0be1ee2c8af656f247"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#abb7d01dd15d89e0be1ee2c8af656f247">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:abb7d01dd15d89e0be1ee2c8af656f247"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#abb7d01dd15d89e0be1ee2c8af656f247">More...</a><br /></td></tr>
<tr class="separator:abb7d01dd15d89e0be1ee2c8af656f247"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af397595db523588b75ee1a9a26038d"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a1af397595db523588b75ee1a9a26038d">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a1af397595db523588b75ee1a9a26038d"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the pointer to the data buffer  <a href="#a1af397595db523588b75ee1a9a26038d">More...</a><br /></td></tr>
<tr class="separator:a1af397595db523588b75ee1a9a26038d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d983f1a2dc96eed0f6ab05e810a3ae1"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a6d983f1a2dc96eed0f6ab05e810a3ae1"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a6d983f1a2dc96eed0f6ab05e810a3ae1">cellID0</a> () const</td></tr>
<tr class="separator:a6d983f1a2dc96eed0f6ab05e810a3ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416cb16c98a7f64d3fe5faeaa285cc32"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a416cb16c98a7f64d3fe5faeaa285cc32"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a416cb16c98a7f64d3fe5faeaa285cc32">cellID1</a> () const</td></tr>
<tr class="separator:a416cb16c98a7f64d3fe5faeaa285cc32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53a5e25bd7c17e28f157bc9c081d6c5a"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a53a5e25bd7c17e28f157bc9c081d6c5a"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a53a5e25bd7c17e28f157bc9c081d6c5a">position</a> () const</td></tr>
<tr class="separator:a53a5e25bd7c17e28f157bc9c081d6c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac027eafe00b83a2dfbe0e736e5fefc"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a2ac027eafe00b83a2dfbe0e736e5fefc"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a2ac027eafe00b83a2dfbe0e736e5fefc">time</a> () const</td></tr>
<tr class="separator:a2ac027eafe00b83a2dfbe0e736e5fefc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e317c1f98c53cfc1ca3e22322398a1"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a46e317c1f98c53cfc1ca3e22322398a1"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a46e317c1f98c53cfc1ca3e22322398a1">pathLength</a> () const</td></tr>
<tr class="separator:a46e317c1f98c53cfc1ca3e22322398a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2894ad10ca67f9185680b0ba0dbfea68"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a2894ad10ca67f9185680b0ba0dbfea68"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a2894ad10ca67f9185680b0ba0dbfea68">EDep</a> () const</td></tr>
<tr class="separator:a2894ad10ca67f9185680b0ba0dbfea68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea2c44bad55a5eec0ed50cc908212154"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:aea2c44bad55a5eec0ed50cc908212154"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; float, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#aea2c44bad55a5eec0ed50cc908212154">_p</a> () const</td></tr>
<tr class="separator:aea2c44bad55a5eec0ed50cc908212154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d16f56e31032952dab0d6be9e1cfe92"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a1d16f56e31032952dab0d6be9e1cfe92"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; class std::array&lt; double, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#a1d16f56e31032952dab0d6be9e1cfe92">position</a> () const</td></tr>
<tr class="separator:a1d16f56e31032952dab0d6be9e1cfe92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add5cf16e8826e85b5620e3ebd1bb5514"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:add5cf16e8826e85b5620e3ebd1bb5514"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; class std::array&lt; float, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#add5cf16e8826e85b5620e3ebd1bb5514">_p</a> () const</td></tr>
<tr class="separator:add5cf16e8826e85b5620e3ebd1bb5514"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="ab796983c6a244ad89062fea95200f77a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab796983c6a244ad89062fea95200f77a">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="classeic_1_1_sim_tracker_hit_collection_iterator.html">SimTrackerHitCollectionIterator</a> <a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">eic::SimTrackerHitCollection::const_iterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a633aa458840af6e87230c57a1c63a378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a633aa458840af6e87230c57a1c63a378">&#9670;&nbsp;</a></span>SimTrackerHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitCollection::SimTrackerHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00011">11</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="ae4def301a1041af14c548ba3a134acce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4def301a1041af14c548ba3a134acce">&#9670;&nbsp;</a></span>~SimTrackerHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitCollection::~SimTrackerHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00015">15</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00050">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1af397595db523588b75ee1a9a26038d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1af397595db523588b75ee1a9a26038d">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a>&gt;* eic::SimTrackerHitCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00098">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aea2c44bad55a5eec0ed50cc908212154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea2c44bad55a5eec0ed50cc908212154">&#9670;&nbsp;</a></span>_p() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;std::array&lt;float, 3&gt;,arraysize&gt; eic::SimTrackerHitCollection::_p </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add5cf16e8826e85b5620e3ebd1bb5514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add5cf16e8826e85b5620e3ebd1bb5514">&#9670;&nbsp;</a></span>_p() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;class std::array&lt;float, 3&gt;, arraysize&gt; eic::SimTrackerHitCollection::_p </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00227">227</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a4a5ca2c1759890a6cb149b7245feced4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a5ca2c1759890a6cb149b7245feced4">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a6db07cc302097071817a62df6a00a0c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6db07cc302097071817a62df6a00a0c4">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00035">35</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a7ddda39d4bdcf10295b440ecb02f278a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ddda39d4bdcf10295b440ecb02f278a">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">const_iterator</a> eic::SimTrackerHitCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a6d983f1a2dc96eed0f6ab05e810a3ae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d983f1a2dc96eed0f6ab05e810a3ae1">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::SimTrackerHitCollection::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00173">173</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a416cb16c98a7f64d3fe5faeaa285cc32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a416cb16c98a7f64d3fe5faeaa285cc32">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::SimTrackerHitCollection::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00182">182</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1168d908bf141ae6e2d62520a7e713df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1168d908bf141ae6e2d62520a7e713df">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00050">50</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00015">~SimTrackerHitCollection()</a>.</p>

</div>
</div>
<a id="a356612a80f412a73cbe715e3df269869"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a356612a80f412a73cbe715e3df269869">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00043">43</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a8b7d2c6200d38521e827dc8d7214e182"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b7d2c6200d38521e827dc8d7214e182">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00165">165</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a2894ad10ca67f9185680b0ba0dbfea68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2894ad10ca67f9185680b0ba0dbfea68">&#9670;&nbsp;</a></span>EDep()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::SimTrackerHitCollection::EDep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00218">218</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae19c004c6bc73b32463d965adb9d854d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae19c004c6bc73b32463d965adb9d854d">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_tracker_hit_collection.html#ab796983c6a244ad89062fea95200f77a">const_iterator</a> eic::SimTrackerHitCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="abb7d01dd15d89e0be1ee2c8af656f247"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb7d01dd15d89e0be1ee2c8af656f247">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::SimTrackerHitCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="acbc43b1df06f615cdefeb9c6cb9583b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc43b1df06f615cdefeb9c6cb9583b3">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::SimTrackerHitCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a61f72d6c477b0a4cab24c2b887da6090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61f72d6c477b0a4cab24c2b887da6090">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::SimTrackerHitCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a9ef1b588a446dff471da0e68d7c12d78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ef1b588a446dff471da0e68d7c12d78">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::SimTrackerHitCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a16d8c26d25b38ccc29b9b1a019168c70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16d8c26d25b38ccc29b9b1a019168c70">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit_collection.html">SimTrackerHitCollection</a>* eic::SimTrackerHitCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="aab791c42c983d7cd42eb8f5c9d0d2205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab791c42c983d7cd42eb8f5c9d0d2205">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00023">23</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a7b081732e1c2992519aa3fab07fa99db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b081732e1c2992519aa3fab07fa99db">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit.html">SimTrackerHit</a> eic::SimTrackerHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00031">31</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a46e317c1f98c53cfc1ca3e22322398a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e317c1f98c53cfc1ca3e22322398a1">&#9670;&nbsp;</a></span>pathLength()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::SimTrackerHitCollection::pathLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00209">209</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a53a5e25bd7c17e28f157bc9c081d6c5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53a5e25bd7c17e28f157bc9c081d6c5a">&#9670;&nbsp;</a></span>position() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;std::array&lt;double, 3&gt;,arraysize&gt; eic::SimTrackerHitCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d16f56e31032952dab0d6be9e1cfe92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d16f56e31032952dab0d6be9e1cfe92">&#9670;&nbsp;</a></span>position() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt;class std::array&lt;double, 3&gt;, arraysize&gt; eic::SimTrackerHitCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00191">191</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a3e190cf7158a8b518924e83b1f4a7bca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e190cf7158a8b518924e83b1f4a7bca">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00079">79</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a3a5c18696326224004a3ee802f0b7df4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a5c18696326224004a3ee802f0b7df4">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00060">60</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a0b3b607845941c6b704a94cfbf1b6be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b3b607845941c6b704a94cfbf1b6be4">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_sim_tracker_hit.html">ConstSimTrackerHit</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00107">107</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="ae8d916a23296ade75f996c54356c7403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8d916a23296ade75f996c54356c7403">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::SimTrackerHitCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a910c59979e57c1069a70f063df6cbac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a910c59979e57c1069a70f063df6cbac7">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00119">119</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a8ac1cd9a1b38c081466acef16ba1abf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ac1cd9a1b38c081466acef16ba1abf2">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::SimTrackerHitCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a064d1e9ffba1b9b7f1e5d6954d668f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064d1e9ffba1b9b7f1e5d6954d668f05">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::SimTrackerHitCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00090">90</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a708cffdc670a2a17ad037d56a1d06e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a708cffdc670a2a17ad037d56a1d06e78">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::SimTrackerHitCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00039">39</a> of file <a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>, <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00060">prepareForWrite()</a>, <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00107">push_back()</a>, and <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00090">setReferences()</a>.</p>

</div>
</div>
<a id="a2ac027eafe00b83a2dfbe0e736e5fefc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ac027eafe00b83a2dfbe0e736e5fefc">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::SimTrackerHitCollection::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00200">200</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_collection_8cc_source.html#l00140">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a717f504fb03696380ceea73a54ecfc64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a717f504fb03696380ceea73a54ecfc64">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::SimTrackerHitCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_tracker_hit_collection_8h_source.html">SimTrackerHitCollection.h</a></li>
<li>src/<a class="el" href="_sim_tracker_hit_collection_8cc_source.html">SimTrackerHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
